Bug 614328 - No ruby-related packages in installation DVD image
No ruby-related packages in installation DVD image
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Developer_Guide (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Don Domingo
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-14 02:54 EDT by Masahiro Ito
Modified: 2010-11-11 10:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:29:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Masahiro Ito 2010-07-14 02:54:30 EDT
Description of problem:

I found a inconsistency problem between Developer Guide and RHEL 6 DVD image.

In the section 3.8.3. Ruby, there is a list of ruby-related packages.
However, in RHEL 6 beta 2 DVD image, none of them are included.
Probably, there used to be in RHEL 6 alpha version.

ruby-docs in the section 3.8.3.1. has same problem, too.
There is no ruby-docs package in RHEL 6 beta 2 DVD.


Though I'm not sure if it's a documentation problem or a packaging problem,
I'll post this as a documentation problem.


Version-Release number of selected component (if applicable):

Revision 1.0 Thu Oct 08 2009

According to http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/
, the date of the document is June 2010.

  
Actual results:

I can't find any ruby-related packages in the installation DVD image of RHEL 6 beta 2.

[root@rhel6b2 ito]# ls /misc/cd/Packages/ | grep ruby
ruby-1.8.6.399-5.1.el6.x86_64.rpm
ruby-libs-1.8.6.399-5.1.el6.i686.rpm
ruby-libs-1.8.6.399-5.1.el6.x86_64.rpm
ruby-qmf-0.7.946106-2.el6.x86_64.rpm
ruby-qpid-0.7.946106-1.el6.x86_64.rpm
[root@rhel6b2 ito]#

Here is the list in Developer Guide:
-------------------------------
ruby-augeas
ruby-flexmock
ruby-shadow
rubygem-actionmailer
rubygem-actionpack
rubygem-activerecord
rubygem-activeresource
rubygem-activesupport
rubygem-flexmock
rubygem-mocha
rubygem-rack
rubygem-rails
rubygem-rake
rubygem-sqlite3-ruby
rubygems
--------------------------------
ruby-docs  (in the section 3.8.3.1)
--------------------------------


Expected results:

If it's a documentation problem, can you fix the statement?
One way could be just removing.

Additional info:
Comment 2 Don Domingo 2010-07-14 20:29:41 EDT
thanks Masahiro, I'll consult our internal subject-matter expert on this.
Comment 6 Don Domingo 2010-07-15 11:29:14 EDT
updated list of ruby-related packages in the Developer Guide to:

ruby-flexmock
rubygem-flexmock
rubygems
ruby-irb
ruby-libguestfs
ruby-libs
ruby-qmf
ruby-qpid
ruby-rdoc
ruby-ri
ruby-saslwrapper
ruby-static
ruby-tcltk
Comment 13 Andrew Ross 2010-07-28 23:58:44 EDT
Verified: Red_Hat_Enterprise_Linux-Developer_Guide-6-web-en-US-0-18.el5

" Examples of ruby-related packages include:

    * ruby-flexmock
    * rubygem-flexmock
    * rubygems
    * ruby-irb
    * ruby-libguestfs
    * ruby-libs
    * ruby-qmf
    * ruby-qpid
    * ruby-rdoc
    * ruby-ri
    * ruby-saslwrapper
    * ruby-static
    * ruby-tcltk 
"
Comment 14 releng-rhel@redhat.com 2010-11-11 10:29:38 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.